<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjrs.ggfw.sggfw.entity.GrQzdjMapper">

    <select id="getWsbList" resultType="com.zjrs.ggfw.sggfw.po.GrQzdjPO">
        select a.rs_rlzy_jlxx_lsh as ACC200, d.ztid as AAC001,
        F_RLZY_TRANSCODE('JBXX_AAC161',d.AAC161) AAC161,
        a.ts_cjsj as AAE043,a.ts_xgsj as BAE005,
        F_RLZY_TRANSCODE('JBXX_AAC058',d.aac058) AAC058,
        d.AAC147,d.AAC003,F_RLZY_TRANSCODE('JBXX_AAC004',d.aac004) AAC004,
        d.AAC006,F_RLZY_TRANSCODE('JBXX_AAC011',d.AAC011) AAC011,
        d.AAC002,a.ts_cjsj as AAE043,a.ts_cjsj as BAE003
        from rs_rlzy_jlxx a,rs_ggfw_user c,ac01 d where
        a.rs_yhlsh = c.userid and c.ztid = d.ztid
        
    </select>

    <select id="xyUpdateQzdjList" resultType="com.zjrs.ggfw.sggfw.po.GrQzdjPO">
        select a.rs_rlzy_jlxx_lsh as ACC200, d.ztid as AAC001,
        F_RLZY_TRANSCODE('JBXX_AAC161',d.AAC161) AAC161,
        a.ts_cjsj as AAE043,a.ts_xgsj as BAE005,
        F_RLZY_TRANSCODE('JBXX_AAC058',d.aac058) AAC058,
        d.AAC147,d.AAC003,F_RLZY_TRANSCODE('JBXX_AAC004',d.aac004) AAC004,
        d.AAC006,F_RLZY_TRANSCODE('JBXX_AAC011',d.AAC011) AAC011,
        d.AAC002,a.ts_cjsj as AAE043,a.ts_cjsj as BAE003
        from rs_rlzy_jlxx a,rs_ggfw_user c,ac01 d where
        a.rs_yhlsh = c.userid and c.ztid = d.ztid
        
    </select>

    <select id="xyDelQzdjList" resultType="com.zjrs.ggfw.sggfw.po.GrQzdjPO">
        select a.rs_rlzy_jlxx_lsh as ACC200, d.ztid as AAC001,
        F_RLZY_TRANSCODE('JBXX_AAC161',d.AAC161) AAC161,
        a.ts_cjsj as AAE043,a.ts_xgsj as BAE005,
        F_RLZY_TRANSCODE('JBXX_AAC058',d.aac058) AAC058,
        d.AAC147,d.AAC003,F_RLZY_TRANSCODE('JBXX_AAC004',d.aac004) AAC004,
        d.AAC006,F_RLZY_TRANSCODE('JBXX_AAC011',d.AAC011) AAC011,
        d.AAC002,a.ts_cjsj as AAE043,a.ts_cjsj as BAE003
        from rs_rlzy_jlxx a,rs_ggfw_user c,ac01 d,RS_RLZY_SJSB_PUSHDATAS e where
        a.rs_yhlsh = c.userid and c.ztid = d.ztid
        and a.rs_rlzy_jlxx_lsh = e.sid
        
    </select>
</mapper>
